import { Controller, Post } from '@nestjs/common';
import { AutoCloseService } from './auto-close.service';
import { Internal } from '../../common/decorators/auth.decorators';

@Controller('internal')
export class InternalController {
  constructor(private readonly autoClose: AutoCloseService) {}

  @Internal()
  @Post('auto-close')
  run() {
    return this.autoClose.run();
  }
}
